### Hierarchy

- CopyleaksSubmissionModel
  - CopyleaksURLSubmissionModel

## Index

### Constructors

- constructor

### Properties

- properties
- url

## Constructors

### constructor

- new CopyleaksURLSubmissionModel(url: string, properties: SubmissionProperties): CopyleaksURLSubmissionModel

- Overrides CopyleaksSubmissionModel.constructor

  - Defined in src/models/submissions/CopyleaksURLSubmissionModel.ts:28

  #### Parameters

  - ##### url: string

    The url to be scanned

  - ##### properties: SubmissionProperties

    Check inner properties for more details.

  #### Returns CopyleaksURLSubmissionModel

## Properties

properties: SubmissionProperties

Inherited from CopyleaksSubmissionModel.properties

### url

url: string

Generated using TypeDoc